#pragma once

#include <optional>
#include <string>

namespace selenite
{
struct Color {
	int r, g, b;
	std::string hex;
};

struct Palette {
	Color primary;
	Color secondary;
	Color background;
	Color background2;
	Color background3;
	Color background4;
	Color pane;
	Color foreground;
	Color foregroundHint;
	Color green;
	Color orange;
	Color red;
};

std::optional<Palette> parseJson(const std::string &path);

} // namespace selenite
